<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".AuthActivity"
        android:background="#FFF"
>

    <androidx.constraintlayout.widget.Guideline
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/guidelineStart"
            app:layout_constraintGuide_begin="16dp"
            android:orientation="vertical"/>

    <androidx.constraintlayout.widget.Guideline
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/guidelineEnd"
            app:layout_constraintGuide_end="16dp"
            android:orientation="vertical"/>

    <ImageView android:layout_width="match_parent" android:layout_height="0dp"
               android:scaleType="fitEnd"
               android:src="@drawable/bg_auth_activity" app:layout_constraintBottom_toBottomOf="parent"
               app:layout_constraintStart_toStartOf="parent" app:layout_constraintEnd_toEndOf="parent"
               app:layout_constraintTop_toTopOf="parent"/>

    <ImageView android:layout_width="wrap_content" android:layout_height="wrap_content"
               app:layout_constraintTop_toTopOf="parent" app:layout_constraintStart_toStartOf="parent"
               app:layout_constraintEnd_toEndOf="parent" app:srcCompat="@drawable/ic_logo_symbol"
               android:layout_marginTop="20dp"
               android:id="@+id/logo"/>

    <TextView android:layout_width="match_parent" android:layout_height="wrap_content" android:text="@string/welcome"
              app:layout_constraintTop_toBottomOf="@id/logo" android:layout_marginTop="20dp" android:textSize="16sp"
              android:textAlignment="center" android:textStyle="bold" android:id="@+id/welcome"/>

    <TextView android:layout_width="0dp" android:layout_height="wrap_content" android:text="@string/email"
              app:layout_constraintEnd_toStartOf="@id/guidelineEnd"
              app:layout_constraintStart_toStartOf="@id/guidelineStart"
              android:textAllCaps="true"
              app:layout_constraintTop_toBottomOf="@id/welcome" android:layout_marginTop="50dp" android:textStyle="bold"
              android:id="@+id/email_label"/>

    <EditText android:layout_width="0dp" android:layout_height="wrap_content"
              android:hint="user@mail.com"
              android:id="@+id/user_email"
              android:inputType="textEmailAddress"
              app:layout_constraintEnd_toStartOf="@id/guidelineEnd"
              app:layout_constraintStart_toStartOf="@id/guidelineStart"
              app:layout_constraintTop_toBottomOf="@id/email_label"/>

    <TextView android:layout_width="0dp" android:layout_height="wrap_content" android:text="@string/password"
              app:layout_constraintTop_toBottomOf="@id/user_email" android:layout_marginTop="30dp"
              app:layout_constraintEnd_toStartOf="@id/guidelineEnd"
              android:textAllCaps="true"
              app:layout_constraintStart_toStartOf="@id/guidelineStart" android:textStyle="bold"
              android:id="@+id/psw_label"/>

    <EditText android:layout_width="0dp" android:layout_height="wrap_content"
              android:id="@+id/user_psw"
              android:hint="******"
              android:inputType="textPassword"
              app:layout_constraintEnd_toStartOf="@id/guidelineEnd"
              app:layout_constraintStart_toStartOf="@id/guidelineStart"
              app:layout_constraintTop_toBottomOf="@id/psw_label"/>

    <!-- Register -->

    <Button android:layout_width="0dp" android:layout_height="wrap_content"
            android:id="@+id/registration_button"
            app:layout_constraintEnd_toStartOf="@id/guidelineEnd"
            app:layout_constraintStart_toStartOf="@id/guidelineStart"
            app:layout_constraintTop_toBottomOf="@id/user_psw"
            android:visibility="gone"
            android:layout_marginTop="20dp"
            android:background="@drawable/bg_button"
            android:textColor="#FFF"
            android:text="@string/register"/>

    <TextView android:layout_width="wrap_content" android:layout_height="wrap_content"
              android:text="@string/have_account"
              android:id="@+id/already_have_account_button_label"
              android:visibility="gone"
              android:layout_marginTop="10dp"
              app:layout_constraintStart_toStartOf="parent" app:layout_constraintEnd_toEndOf="parent"
              app:layout_constraintTop_toBottomOf="@id/registration_button"/>

    <Button android:layout_width="0dp" android:layout_height="wrap_content"
            android:id="@+id/already_have_account_button"
            app:layout_constraintEnd_toStartOf="@id/guidelineEnd"
            app:layout_constraintStart_toStartOf="@id/guidelineStart"
            app:layout_constraintTop_toBottomOf="@id/already_have_account_button_label"
            android:background="?android:attr/selectableItemBackground"
            android:textAllCaps="false"
            android:textColor="@color/link"
            android:padding="0dp"
            android:visibility="gone"
            android:text="@string/login_to_app"/>


    <!-- Login -->

    <Button android:layout_width="0dp" android:layout_height="wrap_content"
            android:id="@+id/login_button"
            app:layout_constraintEnd_toStartOf="@id/guidelineEnd"
            app:layout_constraintStart_toStartOf="@id/guidelineStart"
            app:layout_constraintTop_toBottomOf="@id/user_psw"
            android:layout_marginTop="20dp"
            android:background="@drawable/bg_button"
            android:textColor="#FFF"
            android:text="@string/login"/>

    <LinearLayout android:layout_width="0dp" android:layout_height="wrap_content" android:orientation="horizontal"
                  app:layout_constraintStart_toStartOf="parent" app:layout_constraintEnd_toEndOf="parent"
                  app:layout_constraintTop_toBottomOf="@id/login_button"
                  android:layout_marginTop="30dp"
                  android:gravity="center">

        <TextView android:layout_width="wrap_content" android:layout_height="wrap_content"
                  android:text="@string/no_account"/>

        <Button android:layout_width="wrap_content" android:layout_height="wrap_content"
                android:id="@+id/dont_have_account_button"
                android:background="?android:attr/selectableItemBackground"
                android:textAllCaps="false"
                android:textColor="@color/link"
                android:paddingLeft="5dp"
                android:text="Je n'ai pas de compte"/>
    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>